Bug 126513 - print/ghostscript8 (was ghostscript-gpl): compile bug
print/ghostscript8 (was ghostscript-gpl): compile bug
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: doceng
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 20:50 UTC by comperr
Modified: 2010-08-02 07:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description comperr 2008-08-13 20:50:00 UTC
./obj/../soobj/echogs -a ./obj/../soobj/ldt.tr -n -s ./obj/../soobj/gsromfs0.o ./obj/../soobj/gs.o -s
cat ./obj/../soobj/ld.tr >>./obj/../soobj/ldt.tr
./obj/../soobj/echogs -a ./obj/../soobj/ldt.tr -s - -lm  -liconv -lstdc++  -L/usr/local/lib -lfontconfig   -Wl,-export-dynamic -lm
if [ x != x ]; then LD_RUN_PATH=; export LD_RUN_PATH; fi; \
        XCFLAGS= XINCLUDE= XLDFLAGS= XLIBDIRS= XLIBS= \
        FEATURE_DEVS= DEVICE_DEVS= DEVICE_DEVS1= DEVICE_DEVS2= DEVICE_DEVS3= \
        DEVICE_DEVS4= DEVICE_DEVS5= DEVICE_DEVS6= DEVICE_DEVS7= DEVICE_DEVS8= \
        DEVICE_DEVS9= DEVICE_DEVS10= DEVICE_DEVS11= DEVICE_DEVS12= \
        DEVICE_DEVS13= DEVICE_DEVS14= DEVICE_DEVS15= DEVICE_DEVS16= \
        DEVICE_DEVS17= DEVICE_DEVS18= DEVICE_DEVS19= DEVICE_DEVS20= \
        DEVICE_DEVS_EXTRA= \
        /bin/sh <./obj/../soobj/ldt.tr
./obj/../soobj/gdevvglb.o(.text+0xa10): In function `gs_shared_init':
: multiple definition of `gs_shared_init'
./obj/../soobj/gdevl256.o(.text+0x7b0): first defined here
gmake[1]: *** [bin/../sobin/libgs.so.8.62] Error 1
gmake[1]: Leaving directory `/usr/ports/print/ghostscript-gpl/work/ghostscript-8.62'
gmake: *** [so] Error 2
*** Error code 2

Fix: 

none at this time
How-To-Repeat: cd /usr/ports/print/ghostscript-gpl  && make install clean
Comment 1 Stefan Walter freebsd_committer 2008-10-17 12:38:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->doceng

Assign to maintainer.
Comment 2 rannumgen 2009-12-24 19:28:17 UTC
Problem still exists in v8.70:


/bin/mkdir -p
/ad4/usrports/print/ghostscript8/work/ghostscript-8.70/freetype/objs
/bin/ln -s -f /usr/local/lib/libfreetype.so
/ad4/usrports/print/ghostscript8/work/ghostscript-8.70/freetype/objs/freetype214MT_D.so
gmake LDFLAGS='-L/usr/local/lib -L/usr/local/lib -shared
-Wl,-soname=libgs.so.8' GS_XE=./bin/../sobin/libgs.so.8.70
STDIO_IMPLEMENTATION=c DISPLAY_DEV=./obj/../soobj/display.dev
BINDIR=./bin/../sobin GLGENDIR=./obj/../soobj GLOBJDIR=./obj/../soobj
PSGENDIR=./obj/../soobj PSOBJDIR=./obj/../soobj CFLAGS='-march=prescott
-O2 -pipe -fno-strict-aliasing -fPIC -DUPD_SIGNAL=0 -I.
-I/ad4/usrports/print/ghostscript8/work/ghostscript-8.70/jasper/src/libjasper/include
 -I/usr/local/include/libpng  -I/usr/local/include
-I/usr/local/include/freetype2  -Wall -Wstrict-prototypes -Wundef
-Wmissing-declarations -Wmissing-prototypes -Wwrite-strings
-Wno-strict-aliasing -Wdeclaration-after-statement -fno-builtin
-fno-common -DHAVE_STDINT_H -DGX_COLOR_INDEX_TYPE="unsigned long long"
-march=prescott -O2 -pipe -fno-strict-aliasing -DUSE_LIBICONV_GNU
-DGS_DEVS_SHARED
-DGS_DEVS_SHARED_DIR=\"/usr/local/lib/ghostscript/8.70\"'
prefix=/usr/local ./bin/../sobin/gsc ./bin/../sobin/gsx
gmake[1]: Entering directory
`/ad4/usrports/print/ghostscript8/work/ghostscript-8.70'
./obj/../soobj/echogs -w ./obj/../soobj/ldt.tr -n - cc -L/usr/local/lib
-L/usr/local/lib -shared -Wl,-soname=libgs.so.8 -o
./bin/../sobin/libgs.so.8.70
./obj/../soobj/echogs -a ./obj/../soobj/ldt.tr -n -s
./obj/../soobj/gsromfs0.o ./obj/../soobj/gs.o -s
cat ./obj/../soobj/ld.tr >>./obj/../soobj/ldt.tr
./obj/../soobj/echogs -a ./obj/../soobj/ldt.tr -s - -lm  -liconv
-lstdc++  -L/usr/local/lib -lfontconfig   -Wl,-export-dynamic -lpthread -lm
if [ x != x ]; then LD_RUN_PATH=; export LD_RUN_PATH; fi; \
	XCFLAGS= XINCLUDE= XLDFLAGS= XLIBDIRS= XLIBS= \
	FEATURE_DEVS= DEVICE_DEVS= DEVICE_DEVS1= DEVICE_DEVS2= DEVICE_DEVS3= \
	DEVICE_DEVS4= DEVICE_DEVS5= DEVICE_DEVS6= DEVICE_DEVS7= DEVICE_DEVS8= \
	DEVICE_DEVS9= DEVICE_DEVS10= DEVICE_DEVS11= DEVICE_DEVS12= \
	DEVICE_DEVS13= DEVICE_DEVS14= DEVICE_DEVS15= DEVICE_DEVS16= \
	DEVICE_DEVS17= DEVICE_DEVS18= DEVICE_DEVS19= DEVICE_DEVS20= \
	DEVICE_DEVS_EXTRA= \
	/bin/sh <./obj/../soobj/ldt.tr
./obj/../soobj/gdevl256.o(.text+0x71d): In function `gs_shared_init':
: multiple definition of `gs_shared_init'
./obj/../soobj/gdevxalt.o(.text+0x16cc): first defined here
/usr/bin/ld: Warning: size of symbol `gs_shared_init' changed from 150
in ./obj/../soobj/gdevxalt.o to 38 in ./obj/../soobj/gdevl256.o
./obj/../soobj/gdevvglb.o(.text+0x981): In function `gs_shared_init':
: multiple definition of `gs_shared_init'
./obj/../soobj/gdevxalt.o(.text+0x16cc): first defined here
gmake[1]: *** [bin/../sobin/libgs.so.8.70] Error 1
gmake[1]: Leaving directory
`/ad4/usrports/print/ghostscript8/work/ghostscript-8.70'
gmake: *** [so] Error 2
*** Error code 1

Stop in /ad4/usrports/print/ghostscript8.
*** Error code 1

Stop in /ad4/usrports/print/ghostscript8.
Comment 3 Hiroki Sato freebsd_committer 2010-04-03 08:15:40 UTC
State Changed
From-To: open->feedback

Can you let us know the following: 

- Does this problem still persist in 8.71? 
- A result of "make showconfig" 

Thank you for your cooperation.
Comment 4 tom 2010-06-28 18:41:04 UTC
I was not the person who originally posted the PR, but this problem
still exists in ghostscript8-8.71_2

===> The following configuration options are available for ghostscript8-8.71_2:
      A4SIZE=off "Set A4 (not Letter) as a default paper size"
      CUPS=off "Enable CUPS support"
      FONTCONFIG=on "fontconfig support"
      FT_BRIDGE=off "FreeType bridge"
      X11=on "X11 support"
      GS_x11=on "D: X Window System version 11, release >=4"
      GS_x11alpha=on "D: X Window System masquer. alpha capability"
      GS_x11cmyk=on "D: X Window System masquer. 1bit/plane CMYK"
      GS_x11cmyk2=on "D: X Window System 2-bit-per-plane CMYK"
      GS_x11cmyk4=on "D: X Window System 4-bit-per-plane CMYK"
      GS_x11cmyk8=on "D: X Window System 8-bit-per-plane CMYK"
      GS_x11gray2=on "D: X Window System 2-bit gray-scale"
      GS_x11gray4=on "D: X Window System 4-bit gray-scale"
      GS_x11mono=on "D: X Window System masquer. black-and-white"
      GS_x11rg16x=on "D: X Window System G5/B5/R6 pixel layout"
      GS_x11rg32x=on "D: X Window System G11/B10/R11 pixel layout"
      GS_lvga256=on "D: SVGAlib, 256-color VGA modes"
      GS_vgalib=on "D: SVGAlib, 16-color VGA modes"
      GS_cairo=on "D: cairo driver for PDF, SVG, EPS or PNG files"
      GS_oprp=on "D: OpenPrinting Raster driver interface"
      GS_opvp=on "D: OpenPrinting Vecter driver interface"
      GS_cups=off "D: CUPS driver"
      GS_display=on "D: display device for GS shared library"
      GS_omni=on "D: Omni driver"
      GS_md2k=off "D: ALPS MD-2000/2010/4000/1300/1500/5000"
      GS_md5k=off "D: ALPS MD-5000 Eco Mode"
      GS_md50Mono=off "D: ALPS MD-5000 Monochrome"
      GS_md50Eco=off "D: ALPS MD-5000 Eco Mode"
      GS_md1xMono=off "D: ALPS MD-1x00 Monochrome"
      GS_appledmp=off "D: Apple Dot Matrix Printer/Imagewriter"
      GS_iwhi=off "D: Apple Imagewriter, high-resolution mode"
      GS_iwlo=off "D: Apple Imagewriter, low-resolution mode"
      GS_iwlq=off "D: Apple Imagewriter LQ in 320x216dpi mode"
      GS_hl7x0=off "D: Brother HL-720/730/760(=PCL), MFC6550MC"
      GS_hl1240=off "D: Brother HL-1030/1240"
      GS_hl1250=off "D: Brother HL-1050/1070/1250/1270N"
      GS_bj10e=off "D: Canon BJ-10e"
      GS_bj10v=off "D: Canon BJ-10v"
      GS_bj10vh=off "D: Canon BJ-10v, high-mergin"
      GS_bj200=off "D: Canon BJ-200/BJC-240(mono)"
      GS_bjc600=off "D: Canon BJC-600/4xxx/70, StyleWriter 2x00"
      GS_bjc800=off "D: Canon BJC-240/800"
      GS_bjccmyk=off "D: Canon BJC-210/240/250/265/1000"
      GS_bjccolor=off "D: Canon BJC-210/240/250/265/1000 truecolor"
      GS_bjcgray=off "D: Canon BJC-210/240/250/265/1000 grayscale"
      GS_bjcmono=off "D: Canon BJC-210/240/250/265/1000 monochrome"
      GS_lbp8=off "D: Canon LBP-8II"
      GS_lbp310=off "D: Canon LBP-310"
      GS_lbp320=off "D: Canon LBP-320 Pro/LBP-350"
      GS_lips2p=off "D: Canon LIPS II+"
      GS_lips3=off "D: Canon LIPS III"
      GS_lips4=off "D: Canon LIPS IV"
      GS_bjc880j=off "D: Canon LIPS IVc, BJC-680J/880J"
      GS_lips4v=off "D: Canon LIPS IV, vector output mode"
      GS_m8510=off "D: C.Itoh M8510 printer"
      GS_coslw2p=off "D: CoStar LabelWriter II II/Plus"
      GS_coslwxl=off "D: CoStar LabelWriter XL"
      GS_uniprint=off "D: Configurable ESC/P,ESC/P2,HP-RTL/PCL,P2X"
      GS_dmprt=off "D: Configurable dot matrix printer driver"
      GS_dl2100=off "D: DEC DL2100"
      GS_la50=off "D: DEC LA50"
      GS_la70=off "D: DEC LA70"
      GS_la75=off "D: DEC LA75"
      GS_la75plus=off "D: DEC LA75+"
      GS_ln03=off "D: DEC LN03"
      GS_lj250=off "D: DEC LJ250 Companion color printer"
      GS_declj250=off "D: DEC LJ250 driver (alternate)"
      GS_ap3250=off "D: Epson ActionPrinter 3250"
      GS_epson=off "D: Epson dot matrix, 9/24-pin"
      GS_eps9mid=off "D: Epson 9-pin, interleaved lines, medium res"
      GS_eps9high=off "D: Epson 9-pin, interleaved lines, triple res"
      GS_lp8000=off "D: Epson LP-8000 line printer"
      GS_epag=off "D: Epson ESC/Page laser printer (generic)"
      GS_escpage=off "D: Epson ESC/Page laser printer (generic)"
      GS_lp2000=off "D: Epson LP-2000/3000/7000/7000G laser printer"
      GS_alc8600=off "D: Epson AL-C8600 color laser printer"
      GS_alc8500=off "D: Epson AL-C8500 color laser printer"
      GS_alc2000=off "D: Epson AL-C2000 color laser printer"
      GS_alc4000=off "D: Epson AL-C4000 color laser printer"
      GS_alc1900=off "D: Epson AL-C1900 color laser printer"
      GS_alc4100=off "D: Epson AL-C4100 color laser printer"
      GS_lp9800c=off "D: Epson LP-9800C color laser printer"
      GS_lp9000c=off "D: Epson LP-9000C color laser printer"
      GS_lp9500c=off "D: Epson LP-9500C color laser printer"
      GS_lp8800c=off "D: Epson LP-8800C color laser printer"
      GS_lp8300c=off "D: Epson LP-8300C color laser printer"
      GS_lp8500c=off "D: Epson LP-8500C color laser printer"
      GS_lp3000c=off "D: Epson LP-3000C color laser printer"
      GS_lp8200c=off "D: Epson LP-8200C color laser printer"
      GS_lp8000c=off "D: Epson LP-8000C color laser printer"
      GS_eplmono=off "D: Epson Esc/Page Generic driver, mono"
      GS_eplcolor=off "D: Epson Esc/Page Generic driver, color"
      GS_epl6100=off "D: Epson EPL-6100 laser printer"
      GS_epl5900=off "D: Epson EPL-5900 laser printer"
      GS_epl5800=off "D: Epson EPL-5800 laser printer"
      GS_epl2050=off "D: Epson EPL-N2050 laser printer"
      GS_epl2050p=off "D: Epson EPL-N2050+ laser printer"
      GS_epl2120=off "D: Epson EPL-N2120 laser printer"
      GS_epl2500=off "D: Epson EPL-N2500 laser printer"
      GS_epl2750=off "D: Epson EPL-N2750 laser printer"
      GS_lp9000b=off "D: Epson LP-9000B laser printer"
      GS_lp2500=off "D: Epson LP-2500 laser printer"
      GS_lp9100=off "D: Epson LP-9100(R) laser printer"
      GS_lp7900=off "D: Epson LP-7900(R) laser printer"
      GS_lp7500=off "D: Epson LP-7500(R) laser printer"
      GS_lp2400=off "D: Epson LP-2400 laser printer"
      GS_lp2200=off "D: Epson LP-2200 laser printer"
      GS_lp9400=off "D: Epson LP-9400(R) laser printer"
      GS_lp8900=off "D: Epson LP-8900(R) laser printer"
      GS_lp8700=off "D: Epson LP-8700(R) laser printer"
      GS_lp8100=off "D: Epson LP-8100(R) laser printer"
      GS_lp7700=off "D: Epson LP-7700(R) laser printer"
      GS_lp8600f=off "D: Epson LP-8600FX(N) laser printer"
      GS_lp8400f=off "D: Epson LP-8400FX(N) laser printer"
      GS_lp8300f=off "D: Epson LP-8300F laser printer"
      GS_lp1900=off "D: Epson LP-1900(N) laser printer"
      GS_lp9600s=off "D: Epson LP-9600S laser printer"
      GS_lp9300=off "D: Epson LP-9300 laser printer"
      GS_lp9600=off "D: Epson LP-9600 laser printer"
      GS_lp8600=off "D: Epson LP-8600FX(N) laser printer"
      GS_lp1800=off "D: Epson LP-1800 laser printer"
      GS_lq850=off "D: Epson LQ-850 (360x360, emul on Canon BJ300)"
      GS_epsonc=off "D: Epson LQ-2550, Fujitsu 3400/2400/1200 color"
      GS_mj700v2c=off "D: Epson MachJet series, CMYK"
      GS_mj500c=off "D: Epson MachJet MJ-500C 360dpi, CMY/mono"
      GS_mj6000c=off "D: Epson MachJet MJ-830C/930C/6000C"
      GS_mj8000c=off "D: Epson MachJet MJ-8000C"
      GS_st800=off "D: Epson Stylus 800 printer"
      GS_stcolor=off "D: Epson Stylus Color and II/IIs/1500"
      GS_photoex=off "D: Epson Stylus Color Photo/Photo EX/Photo 700"
      GS_fmlbp=off "D: Fujitsu contrib2xx Page Printer"
      GS_fmpr=off "D: Fujitsu contrib"
      GS_lp2563=off "D: HP 2563B line printer"
      GS_cdnj500=on "D: HP DesignJet 500"
      GS_dnj650c=on "D: HP DesignJet 650C"
      GS_deskjet=on "D: HP DeskJet and DeskJet Plus"
      GS_djet500=on "D: HP DeskJet 500 (for DeskJet 600 use -r600)"
      GS_cdeskjet=on "D: HP DeskJet 500C (1b/px)"
      GS_djet500c=on "D: HP DeskJet 500C (alternative)"
      GS_cdjcolor=on "D: HP DeskJet 500C/540C (24b/px)"
      GS_cdjmono=on "D: HP DeskJet 500/510/520/540C (mono)"
      GS_cdj500=on "D: HP DeskJet 500/540C (same as cdjcolor)"
      GS_cdj550=on "D: HP DeskJet 550C/560C/660C/660Cse"
      GS_dj505j=on "D: HP DeskJet 505J"
      GS_cdj670=on "D: HP DeskJet 670/690"
      GS_cdj850=on "D: HP DeskJet 850/855/870/1100"
      GS_cdj880=on "D: HP DeskJet 880"
      GS_cdj890=on "D: HP DeskJet 890"
      GS_cdj1600=on "D: HP DeskJet 1600"
      GS_chp2200=on "D: HP Business Inkjet 2200"
      GS_cdj970=on "D: HP DeskJet 970CXi"
      GS_laserjet=on "D: HP LaserJet"
      GS_ljetplus=on "D: HP LaserJet Plus"
      GS_ljet2p=on "D: HP LaserJet IId/IIp/III* (TIFF compression)"
      GS_ljet3=on "D: HP LaserJet III* (Delta Row compression)"
      GS_ljet3d=on "D: HP LaserJet IIID (duplex capability)"
      GS_ljet4=on "D: HP LaserJet 4/5L/5P (not real LJ5), 600dpi"
      GS_ljet4d=on "D: HP LaserJet 4 (duplex + 600dpi)"
      GS_lj4dith=on "D: HP LaserJet 4 (Floyd-Steinberg dithering)"
      GS_ljet4pjl=on "D: HP LaserJet 4V/4LJ Pro"
      GS_lj4dithp=on "D: HP LaserJet 4V/4LJ Pro (dithering)"
      GS_cljet5=on "D: HP LaserJet 5/5M Color (new)"
      GS_cljet5c=on "D: HP LaserJet 5/5M Color Simple"
      GS_cljet5pr=on "D: HP LaserJet 5/5M Color (old)"
      GS_lj5mono=on "D: HP LaserJet 5/6 (PCL5/PCL XL), bitmap"
      GS_lj5gray=on "D: HP LaserJet 5/6 gray-scale bitmap"
      GS_pj=on "D: HP PaintJet XL driver"
      GS_pjetxl=on "D: HP PaintJet XL driver (alternate)"
      GS_pjxl=on "D: HP PaintJet XL color printer"
      GS_paintjet=on "D: HP PaintJet color printer (alternate)"
      GS_pjxl300=on "D: HP PaintJet XL300, DeskJet 1200C, CopyJet"
      GS_pxlmono=on "D: HP PCL XL mono (LaserJet 5/6 family)"
      GS_pxlcolor=on "D: HP PCL XL color (Color LaserJet 4500/5000)"
      GS_pcl3=on "D: HP PCL 3+ (generic)"
      GS_ijs=on "D: HP Inkjet and other raster devices"
      GS_ibmpro=off "D: IBM 9-pin Proprinter"
      GS_jetp3852=off "D: IBM Jetprinter ink-jet color (Model #3852)"
      GS_imagen=off "D: Imagen ImPress printers"
      GS_fs600=off "D: Kyocera FS-600 (600 dpi)"
      GS_lxm5700m=off "D: Lexmark 5700 monotone"
      GS_lxm3200=off "D: Lexmark 3200/Z12/Z22/Z31/Z32"
      GS_lx5000=off "D: Lexmark 5000/Z51/Z82"
      GS_lex2050=off "D: Lexmark 2050"
      GS_lex3200=off "D: Lexmark 3200"
      GS_lex5700=off "D: Lexmark 5700"
      GS_lex7000=off "D: Lexmark 7000"
      GS_cp50=off "D: Mitsubishi CP50 color"
      GS_pr1000=off "D: NEC PC-PR 1000"
      GS_pr1000_4=off "D: NEC PC-PR 1000/4"
      GS_pr150=off "D: NEC PC-PR 150"
      GS_pr201=off "D: NEC PC-PR 201"
      GS_picty180=off "D: NEC PICTY 180 (PC-PR101J/180)"
      GS_necp6=off "D: NEC PinWriter P6/P6+/P60 (360x360)"
      GS_npdl=off "D: NEC Printer Description Language"
      GS_oce9050=off "D: OCE 9050 printer"
      GS_oki182=off "D: Okidata MicroLine 182"
      GS_okiibm=off "D: Okidata MicroLine IBM-compatible printers"
      GS_ml600=off "D: Okidata Microline 600CL/620CL"
      GS_oki4w=off "D: Okidata OkiPage 4w+"
      GS_atx23=off "D: Practical Automation ATX-23"
      GS_atx24=off "D: Practical Automation ATX-24"
      GS_atx38=off "D: Practical Automation ATX-38"
      GS_r4081=off "D: Ricoh 4081 laser printer"
      GS_rpdl=off "D: Ricoh Printer Description Language"
      GS_gdi=off "D: Samsung SmartGDI laser printer"
      GS_jj100=off "D: Star JJ-100"
      GS_sj48=off "D: StarJet 48 inkjet printer"
      GS_t4693d2=off "D: Tektronix 4693d color, 2b/RGB"
      GS_t4693d4=off "D: Tektronix 4693d color, 4b/RGB"
      GS_t4693d8=off "D: Tektronix 4693d color, 8b/RGB"
      GS_tek4696=off "D: Tektronix 4695/4696 inkjet plotter"
      GS_xes=off "D: Xerox XES (2700, 3700, 4045, etc.)"
      GS_bmpmono=on "D: BMP Monochrome"
      GS_bmpgray=on "D: BMP 8-bit gray"
      GS_bmp16=on "D: BMP 4-bit EGA/VGA"
      GS_bmp256=on "D: BMP 8-bit 256-color"
      GS_bmp16m=on "D: BMP 24-bit"
      GS_bmp32b=on "D: BMP 32-bit pseudo-.BMP"
      GS_bmpsep1=on "D: BMP Separated 1-bit CMYK"
      GS_bmpsep8=on "D: BMP Separated 8-bit CMYK"
      GS_ccr=on "D: CalComp Raster format"
      GS_cgmmono=on "D: CGM Monochrome -- LOW LEVEL OUTPUT ONLY"
      GS_cgm8=on "D: CGM 8-bit 256-color -- DITTO"
      GS_cgm24=on "D: CGM 24-bit color -- DITTO"
      GS_cif=on "D: CIF file format for VLSI"
      GS_dfaxhigh=on "D: DigiBoard, DigiFAX (high res)"
      GS_dfaxlow=on "D: DigiFAX (normal res)"
      GS_xcf=on "D: Gimp XCF, RGB"
      GS_xcfcmyk=on "D: Gimp XCF, CMYK"
      GS_faxg3=on "D: Group 3 FAX (EOL + no header/EOD)"
      GS_faxg32d=on "D: Group 3 2-D FAX (EOL + no header/EOD)"
      GS_faxg4=on "D: Group 4 FAX (EOL + no header/EOD)"
      GS_miff24=on "D: ImageMagick MIFF, 24-bit direct color, RLE"
      GS_inferno=on "D: Inferno bitmaps"
      GS_jpeg=on "D: JPEG format, RGB output"
      GS_jpeggray=on "D: JPEG format, gray output"
      GS_mag16=on "D: MAG format, 16-color"
      GS_mag256=on "D: MAG format, 256-color"
      GS_mgrmono=on "D: MGR devices 1-bit monochrome"
      GS_mgrgray2=on "D: MGR devices 2-bit gray scale"
      GS_mgrgray4=on "D: MGR devices 4-bit gray scale"
      GS_mgrgray8=on "D: MGR devices 8-bit gray scale"
      GS_mgr4=on "D: MGR devices 4-bit (VGA) color"
      GS_mgr8=on "D: MGR devices 8-bit color"
      GS_pcxmono=on "D: PCX, 1-bit monochrome"
      GS_pcxgray=on "D: PCX, 8-bit gray scale"
      GS_pcx16=on "D: PCX, 4-bit planar EGA/VGA color"
      GS_pcx256=on "D: PCX, 8-bit chunky color"
      GS_pcx24b=on "D: PCX, 24-bit color 3x8-bit planes"
      GS_pcxcmyk=on "D: PCX, 4-bit chunky CMYK color"
      GS_pdfwrite=on "D: Portable Document Format"
      GS_psdrgb=on "D: PhotoShop PSD, RGB"
      GS_psdcmyk=on "D: PhotoShop PSD, CMYK"
      GS_bit=on "D: Plain bits, monochrome"
      GS_bitrgb=on "D: Plain bits, RGB"
      GS_bitcmyk=on "D: Plain bits, CMYK"
      GS_plan9bm=on "D: Plan 9 bitmap format"
      GS_pam=on "D: Portable Arbitrary Map file"
      GS_pbm=on "D: Portable Bitmap, plain"
      GS_pbmraw=on "D: Portable Bitmap, raw"
      GS_pgm=on "D: Portable Graymap, plain"
      GS_pgmraw=on "D: Portable Graymap, raw"
      GS_pgnm=on "D: Portable Graymap, plain (PBM opt)"
      GS_pgnmraw=on "D: Portable Graymap, raw (PBM opt)"
      GS_pnm=on "D: Portable Pixmap, plain RGB (PGM/PBM opt)"
      GS_pnmraw=on "D: Portable Pixmap, raw RGB (PGM/PBM opt)"
      GS_ppm=on "D: Portable Pixmap, plain RGB"
      GS_ppmraw=on "D: Portable Pixmap, raw RGB"
      GS_pkm=on "D: Portable inKmap, plain (4b CMYK=>RGB)"
      GS_pkmraw=on "D: Portable inKmap, raw (4b CMYK=>RGB)"
      GS_pksm=on "D: Portable Separated map, plain (4b CMYK=>4p)"
      GS_pksmraw=on "D: Portable Separated map, raw (4b CMYK=>4p)"
      GS_pngmono=on "D: PNG (Portable Network Graphics) Mono"
      GS_pnggray=on "D: PNG 8-bit Gray"
      GS_png16=on "D: PNG 4-bit Color"
      GS_png256=on "D: PNG 8-bit Color"
      GS_png16m=on "D: PNG 24-bit Color"
      GS_pngalpha=on "D: PNG 32-bit RGBA Color"
      GS_png48=on "D: PNG 48-bit Color"
      GS_psmono=on "D: PostScript (Level 1) monochrome image"
      GS_psgray=on "D: PostScript (Level 1) 8-bit gray image"
      GS_psrgb=on "D: PostScript (Level 2) 24-bit color image"
      GS_pswrite=on "D: PostScript (like PostScript Distiller)"
      GS_ps2write=on "D: PostScript (Level 2) output"
      GS_epswrite=on "D: Encapsulated PostScript"
      GS_cfax=on "D: SFF format for CAPI FAX interface"
      GS_sgirgb=on "D: SGI RGB pixmap format"
      GS_sunhmono=on "D: Harlequin variant of 1-bit Sun raster file"
      GS_svgwrite=on "D: SVG driver"
      GS_tiffcrle=on "D: TIFF CCITT RLE 1 dim (G3 FAX with no EOL)"
      GS_tiffg3=on "D: TIFF Group 3 FAX (with EOL)"
      GS_tiffg32d=on "D: TIFF Group 3 2-D FAX"
      GS_tiffg4=on "D: TIFF Group 4 FAX"
      GS_tiffgray=on "D: TIFF 8-bit gray, no compress"
      GS_tiff12nc=on "D: TIFF 12-bit RGB, no compress"
      GS_tiff24nc=on "D: TIFF 24-bit RGB, no compress, NeXT format"
      GS_tiff32nc=on "D: TIFF 32-bit CMYK"
      GS_tiffsep=on "D: TIFF gray + CMYK composite"
      GS_tifflzw=on "D: TIFF LZW,      tag = 5,     mono"
      GS_tiffpack=on "D: TIFF PackBits, tag = 32773, mono"
      GS_bbox=on "D: Bounding box output"
      GS_devicen=on "D: DeviceN process color model device"
      GS_perm=on "D: DeviceN which permutes color components"
      GS_spotcmyk=on "D: DeviceN with CMYK and spot color support"
      GS_imdi=on "D: IMDI color converting device"
      GS_wtsimdi=on "D: WTS halftoning device"
      GS_wtscmyk=on "D: WTS halftoning CMYK device"
===> Use 'make config' to modify these settings


cat ./obj/../soobj/ld.tr >>./obj/../soobj/ldt.tr
./obj/../soobj/echogs -a ./obj/../soobj/ldt.tr -s - -lm  -liconv -lstdc++ 
-L/usr/local/lib -lfontconfig   -Wl,-export-dynamic -lpthread -lm
if [ x != x ]; then LD_RUN_PATH=; export LD_RUN_PATH; fi; \
         XCFLAGS= XINCLUDE= XLDFLAGS= XLIBDIRS= XLIBS= \
         FEATURE_DEVS= DEVICE_DEVS= DEVICE_DEVS1= DEVICE_DEVS2= DEVICE_DEVS3= \
         DEVICE_DEVS4= DEVICE_DEVS5= DEVICE_DEVS6= DEVICE_DEVS7= DEVICE_DEVS8= \
         DEVICE_DEVS9= DEVICE_DEVS10= DEVICE_DEVS11= DEVICE_DEVS12= \
         DEVICE_DEVS13= DEVICE_DEVS14= DEVICE_DEVS15= DEVICE_DEVS16= \
         DEVICE_DEVS17= DEVICE_DEVS18= DEVICE_DEVS19= DEVICE_DEVS20= \
         DEVICE_DEVS_EXTRA= \
         /bin/sh <./obj/../soobj/ldt.tr
./obj/../soobj/gdevl256.o(.text+0x7d0): In function `gs_shared_init':
./base/gdevl256.c:312: multiple definition of `gs_shared_init'
./obj/../soobj/gdevxalt.o(.text+0x1810):./base/gdevxalt.c:851: first defined here
/usr/bin/ld: Warning: size of symbol `gs_shared_init' changed from 150 in 
./obj/../soobj/gdevxalt.o to 38 in ./obj/../soobj/gdevl256.o
./obj/../soobj/gdevvglb.o(.text+0xa00): In function `gs_shared_init':
./base/gdevvglb.c:379: multiple definition of `gs_shared_init'
./obj/../soobj/gdevxalt.o(.text+0x1810):./base/gdevxalt.c:851: first defined here
gmake[1]: *** [bin/../sobin/libgs.so.8.71] Error 1
gmake[1]: Leaving directory `/usr/ports/print/ghostscript8/work/ghostscript-8.71'
gmake: *** [so] Error 2
*** Error code 1

Stop in /usr/ports/print/ghostscript8.
*** Error code 1

Stop in /usr/ports/print/ghostscript8.
Comment 5 dfilter freebsd_committer 2010-08-02 07:15:29 UTC
hrs         2010-08-02 06:15:08 UTC

  FreeBSD ports repository

  Modified files:
    print/ghostscript8   Makefile 
    print/ghostscript8/files Makefile.drivers_post 
                             patch-base-gdevl256.c 
                             patch-base-gdevvglb.c 
  Added files:
    print/ghostscript8/files patch-base-configure.ac 
                             patch-base-sjpx.c 
  Log:
  - Fix compile errors when vgalib and lvga256 drivers are enabled.
  - Use external libraries instead of bundled old ones[1].
  - Fix WITHOUT_FOO handling[2].
  
  Submitted by:   mi[1], dinoex[2]
  PR:     ports/126513
  PR:     ports/148960
  
  Revision  Changes    Path
  1.199     +9 -4      ports/print/ghostscript8/Makefile
  1.3       +5 -5      ports/print/ghostscript8/files/Makefile.drivers_post
  1.1       +20 -0     ports/print/ghostscript8/files/patch-base-configure.ac (new)
  1.2       +15 -2     ports/print/ghostscript8/files/patch-base-gdevl256.c
  1.2       +15 -2     ports/print/ghostscript8/files/patch-base-gdevvglb.c
  1.1       +36 -0     ports/print/ghostscript8/files/patch-base-sjpx.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Hiroki Sato freebsd_committer 2010-08-02 07:21:54 UTC
State Changed
From-To: feedback->closed

A fix has been committed.  Please try the latest version.  Thank you for 
your report!